Bug 1091842 (CVE-2014-0207)

Summary: CVE-2014-0207 file: cdf_read_short_sector insufficient boundary check
Product: [Other] Security Response Reporter: Francisco Alonso <falonso>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: briang, carnil, drieden, grocha, jkaluza, jkurik, jorton, ksrot, mmaslano, rcollet, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140627,reported=20140401,source=redhat,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/file=notaffected,rhel-6/file=notaffected,rhel-7/file=affected,fedora-all/file=affected,rhel-5/php=notaffected,rhel-5/php53=notaffected,rhel-6/php=notaffected,rhel-7/php=affected,rhscl-1/php54-php=affected,rhscl-1/php55-php=affected,fedora-all/php=affected,rhel-5/rpm=notaffected,rhel-5/cdrtools=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:32:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1080180, 1114440, 1114441, 1120981, 1149768, 1149774, 1238984, 1238985    
Bug Blocks: 1065838, 1091843, 1149858, 1210268    

Description Francisco Alonso 2014-04-28 07:40:13 UTC
Invalid pointer dereference flaws were found in the way file, utility for determining of file types processed header section for certain Composite Document Format (CDF) files. A remote attacker could provide a specially-crafted CDF file, 
which once inspected by the file utility of the victim would lead to file executable crash.

Comment 9 Tomas Hoger 2014-05-15 11:15:14 UTC
This CVE was assigned to an incorrect boundary check in the cdf_read_short_sector() function.  The issue was corrected as part of this upstream commit:

https://github.com/file/file/commit/6d209c1c489457397a5763bca4b28e43aac90391#diff-0

The boundary check was added as part of the CVE-2012-1571 fix (see bug 805197).  The CVE-2014-0207 is really an incomplete / insufficient CVE-2012-1571 fix CVE and hence does not affected file packages in Red Hat Enterprise Linux 6, and php53 packages in Red Hat Enterprise Linux 5 and php packages in Red Hat Enterprise Linux 6, which did not get the incomplete fix applied.  Future updates addressing CVE-2012-1571 will use complete fix.

Comment 10 Tomas Hoger 2014-05-15 11:28:34 UTC
Acknowledgments:

This issue was discovered by Francisco Alonso of Red Hat Product Security.

Comment 11 Remi Collet 2014-05-22 14:07:29 UTC
PHP upstream bug https://bugs.php.net/67326

Comment 14 Francisco Alonso 2014-06-30 06:11:20 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1114441]

Comment 15 Francisco Alonso 2014-06-30 06:11:24 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1114440]

Comment 16 Fedora Update System 2014-07-05 14:53:28 UTC
file-5.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Murray McAllister 2014-07-08 04:55:53 UTC
Statement:

This issue does not affect the file, php, or php53 packages in Red Hat Enterprise Linux 5 and 6. This issue affects the file package in Red Hat Enterprise Linux 7. Red Hat Product Security has rated this issue as having Moderate security impact, a future update my address this flaw.

Comment 20 Martin Prpič 2014-08-05 13:53:00 UTC
IssueDescription:

A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.

Comment 21 errata-xmlrpc 2014-08-06 06:05:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1013 https://rhn.redhat.com/errata/RHSA-2014-1013.html

Comment 24 errata-xmlrpc 2014-10-30 19:45:59 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1766 https://rhn.redhat.com/errata/RHSA-2014-1766.html

Comment 25 errata-xmlrpc 2014-10-30 19:47:34 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1765 https://rhn.redhat.com/errata/RHSA-2014-1765.html

Comment 29 errata-xmlrpc 2015-11-19 08:08:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2155 https://rhn.redhat.com/errata/RHSA-2015-2155.html